<?php
/**
 * @package: phpBB 3.0.10 :: AOS Notifications MOD -> root/
 * @version: $Id: aos_notifications.php, v 0.0.8 2012/03/06 15:56:42 Alorse Exp $
 * @copyright: Alorse <> (Fredo) http://phpbb.alorse.net/
 * @license: http://opensource.org/licenses/gpl-license.php GNU Public License
 * @author: Alorse - http://www.phpbb.com/customise/db/author/alorse/
 * 
 * */
/**
 * @ignore
 */
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if ($user->data['user_id'] == ANONYMOUS)
{
	login_box('', $user->lang['LOGIN']);
}

$aos = new aos_notifications();
if (!$aos->config['notifications_enable'] || !$aos->config['view_more_notifications'] || !$auth->acl_get('u_aos_n'))
{
	// Dispay a message that this script is disabled
	trigger_error('NOT_AUTHORISED');
}

$start = request_var('start', '');
$anm_pagination_url = append_sid("{$phpbb_root_path}aos_notifications.$phpEx");

$aos->aos_init($aos->config['noty_limit_large'], $aos->config['foll_limit_large'], $aos->config['book_limit_large']);

if ($aos->config['only_post_unread']) $total_topics = $aos->post_unread_count();
else $total_topics = $aos->total_topics();


$template->assign_vars(array(
	'ANM_PAGINATION' => generate_pagination($anm_pagination_url, $total_topics, $aos->config['noty_limit_large'], $start),
	'PAGE_NUMBER' => on_page($total_topics, $aos->config['noty_limit_large'], $start),
));

page_header($user->lang['AOS_N_NOTIFICATIONS']);

$template->set_filenames(array(
	'body' => 'aos_notifications_more.html',
));

make_jumpbox(append_sid("{$phpbb_root_path}viewforum.$phpEx"));

page_footer();
?>