<?php
/**
 *
 * @author Alorse (Alfredo Ortegon Sepulveda) alorse@gmail.com
 * @version $Id$
 * @copyright (c) 2011 Alorse
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */

/**
 * @ignore
 */
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();


if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'AOS_NOTIFICATIONS';

/*
* The name of the config variable which will hold the currently installed version
* UMIL will handle checking, setting, and updating the version itself.
*/
$version_config_name = 'aos_notifications_version';


// The language file which will be included when installing
$language_file = 'mods/info_acp_aos_notifications';


/*
* Optionally we may specify our own logo image to show in the upper corner instead of the default logo.
* $phpbb_root_path will get prepended to the path specified
* Image height should be 50px to prevent cut-off or stretching.
*/
//$logo_img = 'styles/prosilver/imageset/site_logo.gif';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	'0.0.7' => array(

		'table_column_add' => array(
			array(USERS_TABLE, 'user_aos_n_enable', array('BOOL', 1)),
			array(USERS_TABLE, 'user_aos_n_num_show', array('USINT', 10)),
			array(USERS_TABLE, 'user_aos_n_followers', array('BOOL', 1)),
			array(USERS_TABLE, 'user_aos_n_num_followers', array('USINT', 2)),
			array(USERS_TABLE, 'user_aos_n_bookmarks', array('BOOL', 1)),
			array(USERS_TABLE, 'user_aos_n_num_bookmarks', array('USINT', 2)),
			array(USERS_TABLE, 'user_aos_n_only_my_topics', array('BOOL', 0)),
			array(USERS_TABLE, 'user_aos_n_only_post_unread', array('BOOL', 0)),
		),

		'config_add' => array(
			array('aos_n_enable', '1', 0),
			array('aos_n_vmn', '1', 0),
		),

		'module_add' => array(
			array('ucp', 'UCP_PREFS',
				array('module_basename'	=> 'aos_notifications'),
			),
		),

	),
	
	'0.0.8' => array(
		
		'permission_add' => array(
			array('u_aos_n', 1),
		),

		'permission_set' => array(
			array('REGISTERED', 'u_aos_n', 'group'),
		),
		
		'config_add' => array(
			array('aos_n_viewprofile', '1', 0),
		),

		'module_add' => array(
			array('acp', 'ACP_CAT_DOT_MODS', 'AOS_NOTIFICATIONS'),                    
			array('acp', 'AOS_NOTIFICATIONS',
				array(
					'module_basename'	=> 'aos_notifications',
					'module_langname'	=> 'AOS_N_INDEX',
					'module_mode'	=> 'settings',
				),
			),
		),
	),
);

// Include the UMIL Auto file, it handles the rest
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);