<?php
/**
 *
 * @package ucp
 * @version: $Id: hook_aos_notifications.php, v 0.0.8 2012/03/06 15:56:42 Alorse Exp $
 * @copyright (c) phpBB-Alorse http://phpbb.alorse.net/
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */
/**
 * @ignore
 */
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
 * ucp_aos_notifications
 * Changing user preferences
 * @package ucp
 */
class ucp_aos_notifications
{

	var $u_action;

	function main($id, $mode)
	{
		global $db, $user, $template, $config;

		$submit = (isset($_POST['submit'])) ? true : false;
		$error = $data = array();

		switch ($mode)
		{
			case 'aos_notifications':
				add_form_key('ucp_aos_notifications');

				$data = array(
					'aos_n_enable' => request_var('aos_n_enable', (bool) $user->data['user_aos_n_enable']),
					'aos_n_followers' => request_var('aos_n_followers', (bool) $user->data['user_aos_n_followers']),
					'aos_n_bookmarks' => request_var('aos_n_bookmarks', (bool) $user->data['user_aos_n_bookmarks']),
					'aos_n_only_my_topics' => request_var('aos_n_only_my_topics', (bool) $user->data['user_aos_n_only_my_topics']),
					'aos_n_only_post_unread' => request_var('aos_n_only_post_unread', (bool) $user->data['user_aos_n_only_post_unread']),
					'aos_n_num_show' => request_var('aos_n_num_show', $user->data['user_aos_n_num_show'], true),
					'aos_n_num_followers' => request_var('aos_n_num_followers', $user->data['user_aos_n_num_followers'], true),
					'aos_n_num_bookmarks' => request_var('aos_n_num_bookmarks', $user->data['user_aos_n_num_bookmarks'], true),
				);

				if ($submit)
				{
					$num_large = ($config['topics_per_page'] % 2 == 0) ? ($config['topics_per_page'] / 2) : ($config['topics_per_page'] / 2) + 0.5;
					$error = validate_data($data, array(
						'aos_n_num_show' => array('num', true, 0, $config['topics_per_page']),
						'aos_n_num_followers' => array('num', true, 0, $num_large),
						'aos_n_num_bookmarks' => array('num', true, 0, $num_large),
						));

					$num = validate_number(array(
						$data['aos_n_num_show'],
						$data['aos_n_num_followers'],
						$data['aos_n_num_bookmarks']
						));

					if (!sizeof($num))
					{

						if (check_form_key('ucp_aos_notifications') && !sizeof($error))
						{
							$sql_ary = array(
								'user_options' => $user->data['user_options'],
								'user_aos_n_enable' => $data['aos_n_enable'],
								'user_aos_n_followers' => $data['aos_n_followers'],
								'user_aos_n_bookmarks' => $data['aos_n_bookmarks'],
								'user_aos_n_only_my_topics' => $data['aos_n_only_my_topics'],
								'user_aos_n_only_post_unread' => $data['aos_n_only_post_unread'],
								'user_aos_n_num_show' => $data['aos_n_num_show'],
								'user_aos_n_num_followers' => $data['aos_n_num_followers'],
								'user_aos_n_num_bookmarks' => $data['aos_n_num_bookmarks'],
							);

							$sql = 'UPDATE ' . USERS_TABLE . '
				SET ' . $db->sql_build_array('UPDATE', $sql_ary) . '
				WHERE user_id = ' . $user->data['user_id'];
							$db->sql_query($sql);

							$msg = $user->lang['PREFERENCES_UPDATED'];
							meta_refresh(3, $this->u_action);
							$message = $msg . '<br /><br />' . sprintf($user->lang['RETURN_UCP'], '<a href="' . $this->u_action . '">', '</a>');
							trigger_error($message);
						}
						else
						{
							$error = sprintf($user->lang['UCP_AN_MAX_SHOW'], $config['topics_per_page'], $num_large, $num_large);
						}
					}
					else
					{
						$error = $user->lang['UCP_AN_ERROR'];
					}
				}

				$template->assign_vars(array(
					'ERROR' => (sizeof($error)) ? $error : '',
					'S_UCP_AN_ENABLE' => $data['aos_n_enable'],
					'S_UCP_AN_FOLLOWERS' => $data['aos_n_followers'],
					'S_UCP_AN_BOOKMARKS' => $data['aos_n_bookmarks'],
					'S_UCP_AN_OMT' => $data['aos_n_only_my_topics'],
					'S_UCP_AN_OPU' => $data['aos_n_only_post_unread'],
					'S_UCP_AN_NUM' => $data['aos_n_num_show'],
					'S_UCP_AN_FOLLOWING_NUM' => $data['aos_n_num_followers'],
					'S_UCP_AN_BOOKMARKS_NUM' => $data['aos_n_num_bookmarks'])
				);
				break;

			default:
				trigger_error('NO_MODE', E_USER_ERROR);
				break;
		}

		$template->assign_vars(array(
			'L_TITLE' => $user->lang['UCP_AOS_NOTIFICATIONS'],
			'S_UCP_ACTION' => $this->u_action,
		));

		$this->tpl_name = 'ucp_prefs_aos_notifications';
		$this->page_title = $user->lang['UCP_AOS_NOTIFICATIONS'];
	}

}

function validate_number($val_ary)
{
	global $user;

	$error = array();

	foreach ($val_ary as $validate)
	{
		if (!is_numeric($validate))
		{
			// Since errors are checked later for their language file existence, we need to make sure custom errors are not adjusted.
			$error[]++;
		}
	}

	return $error;
}

?>